<?php

/**
 * Woovie - Joomla Template
 *
 * @package bt_woovie
 * @version 1.1
 * @copyright BonusThemes.com 2009-2010
 * @link http://www.bonusthemes.com/goto/bt_woovie
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$style = '';
$date_format = '';
foreach (file(dirname(__FILE__) . '/../../../params.ini') as $line) {
	$e = explode('=', $line, 2);
	if (count($e) == 2) {
		$k = strtolower(trim($e[0]));
		if ($k == 'blogstyle')
			$style = trim($e[1]);
		else if ($k == 'date_format')
			$date_format = trim($e[1]);
	}
}
if ($date_format == '')
	$date_format = JText::_('DATE_FORMAT_LC2');

$canEdit = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));

$sfx = $this->escape($this->item->params->get('pageclass_sfx'));


if ($this->item->state == 0)
	echo
'<div class="system-unpublished">
';

echo
'<div class="contentpaneopen' . $sfx . '"><div class="mstyle_x_c"><div class="mstyle_x_l"><div class="mstyle_x_r">
';


// output header

$header_title = '';
if ($this->item->params->get('show_title')) {
	$header_title = $this->escape($this->item->title);

	$i = strpos($header_title, ' ');
	if ($i === false)
		$header_title = '<span class="mod_word">' . $header_title . '</span>';
	else
		$header_title = '<span class="mod_word">' . substr($header_title, 0, $i) . '</span>' . substr($header_title, $i);

	if ($this->item->params->get('link_titles') && $this->item->readmore_link != '')
		$header_title = '<a href="' . $this->item->readmore_link . '" class="contentpagetitle' . $sfx . '">' . $header_title . '</a>';
}


$elements = array();

if ($this->item->params->get('show_pdf_icon'))
	$elements[] = JHTML::_('icon.pdf', $this->item, $this->item->params, $this->access);

if ($this->item->params->get( 'show_print_icon'))
	$elements[] = JHTML::_('icon.print_popup', $this->item, $this->item->params, $this->access);

if ($this->item->params->get('show_email_icon'))
	$elements[] = JHTML::_('icon.email', $this->item, $this->item->params, $this->access);

if ($canEdit)
	$elements[] = JHTML::_('icon.edit', $this->item, $this->item->params, $this->access);

$elements = empty($elements) ? '' : implode(' &nbsp; ', $elements);


$header_exists = $header_title != '' || $elements != '';
if ($header_exists) {
	echo
'	<div class="mstyle_a_c"><div class="mstyle_a_lm"><div class="mstyle_a_rm"><div class="mstyle_a_lt"><div class="mstyle_a_rt">
		<div class="mstyle_article_gap"></div>
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="12">&nbsp;</td>
';

	if ($header_title != '')
		echo
'				<td class="contentheading' . $sfx . '">
					' . $header_title . '
				</td>
';

	if ($elements != '')
		echo
'				<td nowrap="nowrap"> &nbsp; </td>
				<td class="buttonheading" align="right">' . $elements . '</td>
';

	echo
'				<td width="15">&nbsp;</td>
			</tr>
		</table>
	</div></div></div></div></div>
	<div class="mstyle_a_edge"></div>
';
}
else {
	echo
'	<div class="mstyle_dup_c"><div class="mstyle_dup_l"><div class="mstyle_dup_r"></div></div></div>
';
}


// output main body


if ($header_exists)
	echo
'	<div class="mstyle_tgap"></div>
';

echo
'	<div class="mstyle_inner">
';

if (!$this->item->params->get('show_intro'))
	echo $this->item->event->afterDisplayTitle;

echo $this->item->event->beforeDisplayContent;


// show section and category links

$elements = array();

if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) {
	if ($this->item->params->get('link_section'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)) . '">' . $this->escape($this->item->section) . '</a>';
	else
		$elements[] = $this->escape($this->item->section);
}

if ($this->item->params->get('show_category') && $this->item->catid) {
	if ($this->item->params->get('link_category'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)) . '">' . $this->escape($this->item->category) . '</a>';
	else
		$elements[] = $this->escape($this->item->category);
}

if (!empty($elements))
	echo
'<div class="contentpaneopen' . $sfx . '">' . implode(' - ', $elements) . '</div>
';


// show urls

if ($this->item->params->get('show_url') && $this->item->urls)
	echo
'<div class="contentpaneopen' . $sfx . '">
	<a href="http://' . $this->escape($this->item->urls) . '" target="_blank">' . $this->escape($this->item->urls) . '</a>
</div>
';


// show toc

if (isset($this->item->toc))
	echo
'<div class="contentpaneopen' . $sfx . '">
	' . $this->item->toc . '
</div>
';


// show content

echo
'<div class="contentpaneopen' . $sfx . '">
';

if ($style == 'blog' && $this->item->params->get('show_create_date')) {
	list($day, $month, $year) = explode(' ', date('j F Y', strtotime($this->item->created)));
	echo
'	<div class="blogdate">
		<div class="month">' . JText::_($month . '_short') . '</div>
		<div class="day">' . $day . '</div>
		<div class="year">' . JText::_($year) . '</div>
	</div>
';
}

echo $this->item->text . '
	<div style="clear:both"></div>
</div>
';


// show read more

if ($this->item->params->get('show_readmore') && $this->item->readmore) {
	echo
'<div class="contentpaneopen' . $sfx . '">
	<a href="' . $this->item->readmore_link . '" class="readon' . $sfx . '">';

	if ($this->item->readmore_register)
		echo JText::_('Register to read more...');
	else if ($readmore = $this->item->params->get('readmore'))
		echo $readmore;
	else
		echo JText::sprintf('Read more...');

	echo '</a>
</div>
';
}


// close main body

echo
'	</div>
';



// output footer

$elements = array();

if (($this->item->params->get('show_author')) && ($this->item->author != ''))
	$elements[] = JText::sprintf('Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)));

if ($style != 'blog' && $this->item->params->get('show_create_date'))
	$elements[] = '<span class="createdate">' . JHTML::_('date', $this->item->created, $date_format) . '</span>';

if (intval($this->item->modified) != 0 && $this->item->params->get('show_modify_date'))
	$elements[] = '<span class="modifydate">' . JText::sprintf('LAST_UPDATED2', JHTML::_('date', $this->item->modified, $date_format)) . '</span>';

if (empty($elements))
	echo
'<div style="clear:both"></div>
<div class="mstyle_d_c"><div class="mstyle_d_l"><div class="mstyle_d_r"></div></div></div>
';
else
	echo
'	<div class="mstyle_bgap"></div>
	<div class="mstyle_e_edge"></div>
	<div class="mstyle_e_c"><div class="mstyle_e_lm"><div class="mstyle_e_rm"><div class="mstyle_e_lb"><div class="mstyle_e_rb"><div class="mstyle_inner">
		<div class="mstyle_e_gapu"></div>
		<div>' . implode(" &nbsp; | &nbsp; \n", $elements) . '</div>
		<div class="mstyle_e_gapd"></div>
	</div></div></div></div></div></div>
';



// close wrapper

echo
'</div></div></div></div>
';


if ($this->item->state == 0)
	echo
'</div>
';

echo
'<span class="article_separator">&nbsp;</span>
' . $this->item->event->afterDisplayContent;

?>