<?php

/**
 * Woovie - Joomla Template
 *
 * @package bt_woovie
 * @version 1.1
 * @copyright BonusThemes.com 2009-2010
 * @link http://www.bonusthemes.com/goto/bt_woovie
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// BEGIN: j17
// Create a shortcut for params.
$params = &$this->item->params;
$canEdit	= $this->item->params->get('access-edit');
// END: j17


$style = '';
$date_format = '';
foreach (file(dirname(__FILE__) . '/../../../params.ini') as $line) {
	$e = explode('=', $line, 2);
	if (count($e) == 2) {
		$k = strtolower(trim($e[0]));
		if ($k == 'blogstyle')
			$style = trim($e[1]);
		else if ($k == 'date_format')
			$date_format = trim($e[1]);
	}
}
if ($date_format == '')
	$date_format = JText::_('DATE_FORMAT_LC2');

$canEdit = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));

$sfx = $this->escape($this->item->params->get('pageclass_sfx'));


if ($this->item->state == 0)
	echo
'<div class="system-unpublished">
';

echo
'<div class="contentpaneopen' . $sfx . '"><div class="mstyle_x_c"><div class="mstyle_x_l"><div class="mstyle_x_r">
';


// output header

$header_title = '';
if ($this->item->params->get('show_title')) {
	$header_title = $this->escape($this->item->title);

	$i = strpos($header_title, ' ');
	if ($i === false)
		$header_title = '<span class="mod_word">' . $header_title . '</span>';
	else
		$header_title = '<span class="mod_word">' . substr($header_title, 0, $i) . '</span>' . substr($header_title, $i);

	if ($this->item->params->get('link_titles') && $this->item->readmore_link != '')
		$header_title = '<a href="' . $this->item->readmore_link . '" class="contentpagetitle' . $sfx . '">' . $header_title . '</a>';
}


$elements = array();

// BEGIN: j17
if ($this->print) {
	$elements[] = JHTML::_('icon.print_screen', $this->item, $params, $this->access);
}
else {
	if ($params->get( 'show_print_icon'))
		$elements[] = JHTML::_('icon.print_popup', $this->item, $params, $this->access);

	if ($params->get('show_email_icon'))
		$elements[] = JHTML::_('icon.email', $this->item, $params, $this->access);

	if ($canEdit)
		$elements[] = JHTML::_('icon.edit', $this->item, $params, $this->access);
}
// END: j17

$elements = empty($elements) ? '' : implode(' &nbsp; ', $elements);


$header_exists = $header_title != '' || $elements != '';
if ($header_exists) {
	echo
'	<div class="mstyle_a_c"><div class="mstyle_a_lm"><div class="mstyle_a_rm"><div class="mstyle_a_lt"><div class="mstyle_a_rt">
		<div class="mstyle_article_gap"></div>
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="12">&nbsp;</td>
';

	if ($header_title != '')
		echo
'				<td class="contentheading' . $sfx . '">
					' . $header_title . '
				</td>
';

	if ($elements != '')
		echo
'				<td nowrap="nowrap"> &nbsp; </td>
				<td class="buttonheading" align="right">' . $elements . '</td>
';

	echo
'				<td width="15">&nbsp;</td>
			</tr>
		</table>
	</div></div></div></div></div>
	<div class="mstyle_a_edge"></div>
';
}
else {
	echo
'	<div class="mstyle_dup_c"><div class="mstyle_dup_l"><div class="mstyle_dup_r"></div></div></div>
';
}


// output main body


if ($header_exists)
	echo
'	<div class="mstyle_tgap"></div>
';

echo
'	<div class="mstyle_inner">
';

if (!$this->item->params->get('show_intro'))
	echo $this->item->event->afterDisplayTitle;

echo $this->item->event->beforeDisplayContent;


// show section and category links

$elements = array();

if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) {
	if ($this->item->params->get('link_section'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)) . '">' . $this->escape($this->item->section) . '</a>';
	else
		$elements[] = $this->escape($this->item->section);
}

if ($this->item->params->get('show_category') && $this->item->catid) {
	if ($this->item->params->get('link_category'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)) . '">' . $this->escape($this->item->category) . '</a>';
	else
		$elements[] = $this->escape($this->item->category);
}

if (!empty($elements))
	echo
'<div class="contentpaneopen' . $sfx . '">' . implode(' - ', $elements) . '</div>
';


// show urls

if ($this->item->params->get('show_url') && $this->item->urls)
	echo
'<div class="contentpaneopen' . $sfx . '">
	<a href="http://' . $this->escape($this->item->urls) . '" target="_blank">' . $this->escape($this->item->urls) . '</a>
</div>
';


// show toc

if (isset($this->item->toc))
	echo
'<div class="contentpaneopen' . $sfx . '">
	' . $this->item->toc . '
</div>
';


// show content

echo
'<div class="contentpaneopen' . $sfx . '">
';

if ($style == 'blog' && $this->item->params->get('show_create_date')) {
	list($day, $month, $year) = explode(' ', date('j F Y', strtotime($this->item->created)));
	echo
'	<div class="blogdate">
		<div class="month">' . JText::_($month . '_short') . '</div>
		<div class="day">' . $day . '</div>
		<div class="year">' . JText::_($year) . '</div>
	</div>
';
}

echo $this->item->introtext . '
	<div style="clear:both"></div>
</div>
';


// show read more

if ($this->item->params->get('show_readmore') && $this->item->readmore) {

if ($params->get('access-view')) :
		$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
	else :
		$menu = JFactory::getApplication()->getMenu();
		$active = $menu->getActive();
		$itemId = $active->id;
		$link1 = JRoute::_('index.php?option=com_users&view=login&&Itemid=' . $itemId);
		$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
		$link = new JURI($link1);
		$link->setVar('return', base64_encode($returnURL));
	endif;


// BEGIN j17
/*	echo
'<div class="contentpaneopen' . $sfx . '">
	<a href="' . $this->item->readmore_link . '" class="readon' . $sfx . '">';

	if ($this->item->readmore_register)
		echo JText::_('Register to read more...');
	else if ($readmore = $this->item->params->get('readmore'))
		echo $readmore;
	else
		echo JText::sprintf('Read more...');

	echo '</a>
</div>
';*/

	echo
'<div class="contentpaneopen' . $sfx . '">';

	echo '<a href="'.$link.'" class="readon">';
	
	if (!$params->get('access-view')) :
		echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
	elseif ($readmore = $this->item->alternative_readmore) :
		echo $readmore;
	if ($params->get('show_readmore_title', 0) != 0) :
		echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
	endif;
		elseif ($params->get('show_readmore_title', 0) == 0) :
	echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
		else :
	echo JText::_('COM_CONTENT_READ_MORE');
		echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
	endif;
    echo '</a>';

echo '</div>';

// END j17

}


// close main body

echo
'	</div>
';



// output footer

$elements = array();

if (($this->item->params->get('show_author')) && ($this->item->author != ''))

	// BEGIN: j17
	$author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author;
	if (!empty($this->item->contactid) && $params->get('link_author') == true):
		$needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
		$item = JSite::getMenu()->getItems('link', $needle, true);
		$cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
		$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author));
	else:
		$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', $author);
	endif;

	//$elements[] = JText::sprintf('Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)));
	// END: j17

// BEGIN: j17	
if ($style != 'blog' && $params->get('show_create_date'))
	$elements[] = '<span class="createdate">' . JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))) . '</span>';

if ($params->get('show_modify_date'))
	$elements[] = '<span class="modifydate">' . JText::sprintf('COM_CONTENT_LAST_UPDATED', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))) . '</span>';
// END: j17


if (empty($elements))
	echo
'<div style="clear:both"></div>
<div class="mstyle_d_c"><div class="mstyle_d_l"><div class="mstyle_d_r"></div></div></div>
';
else
	echo
'	<div class="mstyle_bgap"></div>
	<div class="mstyle_e_edge"></div>
	<div class="mstyle_e_c"><div class="mstyle_e_lm"><div class="mstyle_e_rm"><div class="mstyle_e_lb"><div class="mstyle_e_rb"><div class="mstyle_inner">
		<div class="mstyle_e_gapu"></div>
		<div>' . implode(" &nbsp; | &nbsp; \n", $elements) . '</div>
		<div class="mstyle_e_gapd"></div>
	</div></div></div></div></div></div>
';



// close wrapper

echo
'</div></div></div></div>
';


if ($this->item->state == 0)
	echo
'</div>
';

echo
'<span class="article_separator">&nbsp;</span>
' . $this->item->event->afterDisplayContent;

?>