/**
 * Main script for the BonusThemes.com Woovie Template
 *
 * @package bt_woovie
 * @version 1.1
 * @copyright BonusThemes.com 2009-2010
 * @link http://www.bonusthemes.com/goto/bt_woovie
 */


function bt_add_event(obj, event, func) {
	if (obj.addEventListener)
		obj.addEventListener(event, func, false);
	else if (obj.attachEvent)
		obj.attachEvent('on' + event, func);
}


// CMenu handlers

function woovie_get_wdg(wdg_center) {
	return {
		left: wdg_center.previousSibling.nodeType == 1 ? wdg_center.previousSibling : wdg_center.previousSibling.previousSibling,
		center: wdg_center,
		right: wdg_center.nextSibling.nodeType == 1 ? wdg_center.nextSibling : wdg_center.nextSibling.nextSibling
	}
}

function woovie_ch_create(mi) {
	if (mi.is_header) {
		var wdg = woovie_get_wdg(mi.wdg);
		wdg.left.style.cursor = 'pointer';
		wdg.center.style.cursor = 'pointer';
		wdg.right.style.cursor = 'pointer';
	}
}

function woovie_ch_mouseover(mi) {
	if (document.page_loaded && mi.is_header) {
		var wdg = woovie_get_wdg(mi.wdg);

		mi.panel_ch_x = -wdg.left.offsetWidth;
		mi.panel_ch_y = mi.wdg.offsetHeight;

		var obj = mi.wdg;
		mi.panel_ch_x += obj.offsetLeft;
		obj = obj.offsetParent;
		while (obj) {
			mi.panel_ch_x += obj.offsetLeft;
			mi.panel_ch_y += obj.offsetTop;
			obj = obj.offsetParent;
		}
		mi.panel_ch_min_w = wdg.left.offsetWidth + wdg.center.offsetWidth + wdg.right.offsetWidth;

		if (typeof mi.td_center_class == 'undefined') {
			mi.td_left_class = wdg.left.className;
			mi.td_center_class = wdg.center.className;
			mi.td_right_class = wdg.right.className;
		}

		if (mi.td_center_class == 'cmenu_hd_norm_c') {
			wdg.left.className = 'cmenu_hd_sel_l';
			wdg.center.className = 'cmenu_hd_sel_c';
			wdg.right.className = 'cmenu_hd_sel_r';
		}
	}
}

function woovie_menu_close(mi) {
	if (document.page_loaded) {
		var wdg = woovie_get_wdg(mi.wdg);
		if (typeof mi.td_center_class != 'undefined') {
			wdg.left.className = mi.td_left_class;
			wdg.center.className = mi.td_center_class;
			wdg.right.className = mi.td_right_class;
		}
	}
}

function woovie_ch_mouseout(mi) {
	if (mi.is_header && mi.menuitems.length == 0)
		woovie_menu_close(mi);
}

function woovie_ch_panel_hide(mi) {
	if (mi.is_header)
		woovie_menu_close(mi);
}


// page initialization

function woovie_page_init() {
	document.page_loaded = true;

	if (document.stabs_woovie_conf) {
		document.stabs_woovie_conf.iname = 'stabs_woovie';
		document.stabs_woovie_conf.source_id = 'pos_slider';
		document.stabs_woovie_conf.tags_tr_id = 'r4_tabs_tr';
		document.stabs_woovie_conf.data_container_id = 'r4_data';
		document.stabs_woovie_conf.data_tr_id = 'r4_data_tr';
		document.stabs_woovie_conf.class_norm_l = 'r4_tab_norm_l';
		document.stabs_woovie_conf.class_norm_c = 'r4_tab_norm_c';
		document.stabs_woovie_conf.class_norm_r = 'r4_tab_norm_r';
		document.stabs_woovie_conf.class_hover_l = 'r4_tab_sel_l';
		document.stabs_woovie_conf.class_hover_c = 'r4_tab_sel_c';
		document.stabs_woovie_conf.class_hover_r = 'r4_tab_sel_r';
		document.stabs_woovie_conf.class_sel_l = 'r4_tab_sel_l';
		document.stabs_woovie_conf.class_sel_c = 'r4_tab_sel_c';
		document.stabs_woovie_conf.class_sel_r = 'r4_tab_sel_r';
		document['stabs_woovie'] = new SlidingTabsWoovie(document.stabs_woovie_conf);
	}

	if (document['cmenu_items']) {
		document['mc'] = new CMenu({
			iname: 'mc',

			edge_min: 'r1_cnt',

			side: 'down',
			orientation: 'right',

			animate: true,
			anim_step: 10,
			anim_interval: 30,

			transparency: true,
			transparency_ie6: false,

			min_opacity: 0,
			max_opacity: 100,

			ch_create: woovie_ch_create,
			ch_mouseover: woovie_ch_mouseover,
			ch_mouseout: woovie_ch_mouseout,
			ch_panel_hide: woovie_ch_panel_hide,

			panel_offset1_x: 0,
			panel_offset1_y: 0,
			panel_offset2_x: -2,
			panel_offset2_y: 0,

			itemborder_class: 'cmenu_itemborder',
			separator_class: 'cmenu_separator',
			panel_class: 'cmenu_panel',
			panel_tl_class: 'cmenu_tl',
			panel_tc_class: 'cmenu_tc',
			panel_tr_class: 'cmenu_tr',

			subpanel_tl_class: 'cmenu_tl_sub',
			subpanel_tc_class: 'cmenu_tc_sub',
			subpanel_tr_class: 'cmenu_tr_sub',

			panel_ml_class: 'cmenu_ml',
			panel_mr_class: 'cmenu_mr',
			panel_bl_class: 'cmenu_bl',
			panel_bc_class: 'cmenu_bc',
			panel_br_class: 'cmenu_br',

			mi_empty_normal_class: 'cmenu_mi_empty_normal',
			mi_empty_hover_class: 'cmenu_mi_empty_hover',
			mi_full_normal_class: 'cmenu_mi_full_normal',
			mi_full_hover_class: 'cmenu_mi_full_hover'

		});

		var len = document['cmenu_items'].length;
		if (len > 0) {
			for (var i = 0; i < len; i++) {
				var item = document['cmenu_items'][i];

				if (typeof item.parent_id == 'undefined')
					this[item.id] = document['mc'].add_item(item);
				else
					this[item.id] = this[item.parent_id].add_item(item);
			}
		
			document['mc'].run();
		}
	}
}

bt_add_event(window, 'load', woovie_page_init);


var goto_top_type = -1;
function goto_top() {
	if (goto_top_type > -1)
		{ }
	else if (document.documentElement && document.documentElement.scrollTop)
		goto_top_type = 1;
	else if (document.body && document.body.scrollTop)
		goto_top_type = 2;

	var y = goto_top_type == 1 ? document.documentElement.scrollTop : document.body.scrollTop;
	if (y > 0) {
		y -= Math.ceil(y * 0.15);

		if (goto_top_type == 1)
			document.documentElement.scrollTop = y;
		else
			document.body.scrollTop = y;

		setTimeout("goto_top()", 50);
	}
}
